@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;600&display=swap');

*{ box-sizing: border-box; }

:root {
    --radius-sm: .25rem;
    --radius-md: .5rem;
    --radius-lg: .75rem;
    --radius-xl: 1rem;
    --radius-2xl: 2rem;
    --radius-pill: 9999px;
    --radius-full: 50%;
    --color-primary: #11AA55;
    --color-secondary: #55CC55;
    --color-emphasis: #ad284e;
    --color-danger: #f44;
    --color-success: #2d0;
    --color-warning: #fb0;
    --color-white: #fff;
    --color-black: #000;
    --color-neutral-100: #f5f5f5;
    --color-neutral-200: #e5e5e5;
    --color-neutral-300: #c5c5c5;
    --color-neutral-400: #999;
    --color-neutral-500: #666;
    --color-neutral-600: #333;
    --color-neutral-700: #222;
    --color-neutral-800: #111; }

a{
    color: #262626;
    outline: none;
    text-decoration: none; }
a:focus,
a:hover{ text-decoration: underline; }

body{
    background-color: #FFF;
    color: #666;
    font-family: 'Poppins', Arial, Helvetica, sans-serif;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.3em; }

footer{
    background-color: #262626;
    color: #999;
    padding: 20px 0;
    position: relative;
    text-align: center;
    z-index: 200; }

form button{
    background-color: #111;
    border: none;
    border-radius: 5px;
    color: #FFF;
    cursor: pointer;
    outline: none;
    padding: 12px;
    transition: background .1s ease-in-out;
    width: 100%; }
form button:focus,
form button:hover{ background-color: #000; }
form button[disabled]{
    cursor: not-allowed;
    opacity: .75; }
form h3{ margin: 0 0 20px 0; }
form input{
    border: #EEF1F5 2px solid;
    border-radius: 5px;
    outline: none;
    padding: 10px;
    transition: border .1s ease-in-out;
    width: 100%; }
form input:focus{ border-color: #111; }
form input[readonly]{ cursor: default; }
form input[disabled]{
    color: #999;
    cursor: not-allowed;
    opacity: .75; }
form label{
    display: block;
    margin: 10px 0; }
form label small{ opacity: .5; }
form select{
    border: #EEF1F5 2px solid;
    border-radius: 5px;
    outline: none;
    padding: 6.5px;
    transition: border .1s ease-in-out;
    width: 100%; }
form select:focus{ border-color: #111; }
form select[disabled]{
    color: #999;
    cursor: not-allowed;
    opacity: .75; }
form textarea{
    border: #EEF1F5 2px solid;
    border-radius: 5px;
    outline: none;
    padding: 10px;
    resize: none;
    transition: border .1s ease-in-out;
    width: 100%; }
form textarea:focus{ border-color: #111; }
form textarea[readonly]{ cursor: default; }

form .button-large{
    font-size: 1.25rem;
    padding: 16px 12px; }

form .checkbox {
	align-items: center;
	cursor: pointer;
	display: flex;
	user-select: none; }
form .checkbox input { display: none; }
form .checkbox input:checked + span {
	background: #1d2327;
	border: 1px solid #1d2327;
	color: #FFF; }
form .checkbox span {
	background-color: #FFF;
	border: 1px solid #8c8f94;
	border-radius: 4px;
	flex-grow: 1;
	padding: 4px 8px;
	transition: background .1s ease-in-out, color .1s ease-in-out; }

h1, h2, h3, h4, h5, h6{
    color: #262626;
    font-weight: 600;
    line-height: 1.2em;
    margin: 20px 0 0 0;
    padding: 0; }
h1{ font-size: 2rem; }
h2{ font-size: 1.8rem; }
h3{ font-size: 1.6rem; }
h4{ font-size: 1.4rem; }
h5{ font-size: 1.2rem; }
h6{ font-size: 1.1rem; }

header{
    color: #FFF;
    position: relative;
    z-index: 100; }
header a{ color: #FFF; }
header .line-1{
    background-color: #262626;
    padding: 20px 0;
    position: relative; }
header .line-1 .margin{
    position: relative;
    text-align: center; }
header .line-2{
    background-color: #111;
    padding: 20px 0; }
header .link-logo{
    display: inline-block;
    transition: opacity .1s ease-in-out; }
header .link-logo:focus,
header .link-logo:hover{ opacity: .8; }
header .link-logo h1{
    background: url(../images/logo-cbp-shoptrade.png);
    background-size: 100% auto;
    display: inline-block;
    height: 60px;
    margin: 0;
    overflow: hidden;
    text-indent: 1000%;
    white-space: nowrap;
    width: 364px; }
header .menu-usuario{
    flex-direction: column;
    font-size: .8rem;
    display: flex;
    gap: 2px;
    position: absolute;
    right: 0;
    text-align: right;
    top: 50%;
    transform: translateY(-50%); }

hr{
    border: none;
    border-top: #444 1px solid; }

p{ margin: 10px 0 0 0; }

section{
    position: relative;
    z-index: 300; }

small{
    font-weight: 400;
    font-size: .8rem; }

ul{
    list-style: none;
    margin: 0;
    padding: 0; }

.color-success{ color: var(--color-success); }
.color-danger{ color: var(--color-danger); }

/*

#caixa-avisos{
    background-color: #54ACDE;
    border-radius: 5px;
    bottom: 20px;
    color: #FFF;
    left: 20px;
    opacity: 0;
    padding: 10px 20px;
    position: fixed;
    transition: opacity 0.1s ease-in-out, visibility 0.1s ease-in-out;
    visibility: hidden;
    z-index: 9999; }
#caixa-avisos[data-type="erro"]{ background-color: #FF5555; }
#caixa-avisos[data-type="sucesso"]{ background-color: #55CC55; }
#caixa-avisos.ativo {
    opacity: 1;
    visibility: visible; }

.bt{
    background-color: #111;
    border: none;
    border-radius: 5px;
    color: #FFF;
    cursor: pointer;
    display: inline-block;
    padding: 6px 12px 4px 12px;
    transition: background .1s ease-in-out; }
.bt:focus,
.bt:hover{
    background-color: #000;
    text-decoration: none; }

.content{
    background-color: #F5F7FA;
    min-height: 200px;
    overflow: hidden;
    padding: 40px 0;
    position: relative; }

.etiqueta{
    background-color: #1a5191;
    border-radius: 5px;
    color: #FFF;
    display: inline-block;
    font-size: .85rem;
    font-weight: 700;
    line-height: 1em;
    padding: 5px 10px 4px 10px; }
.etiqueta-sucesso{ background-color: #6ea2d4; }

.margin{
    margin: 0 auto;
    max-width: 1200px;
    position: relative;
    width: 100%; }

.max-width-100{ max-width: 100%; }

.msg-form{
    background-color: #EEF1F5;
    border-radius: 5px;
    font-size: .9rem;
    margin: 0 0 10px 0;
    padding: 10px 20px;
    text-align: center; }
.msg-form[data-type="msg_erro"]{
    background-color: #FF5555;
    color: #FFF; }
.msg-form[data-type="msg_info"]{
    background-color: #54ACDE;
    color: #FFF; }
.msg-form[data-type="msg_sucesso"]{
    background-color: #55CC55;
    color: #FFF; }

.text-center{ text-align: center; }
.text-left{ text-align: left; }
*/

@media screen and (max-width: 992px) {

    body{ font-size: .8rem; }

    footer{ padding-bottom: 80px; }
    footer .menu-marcas [data-logo="euro-sleep"]{
        height: 20px;
        width: 82px; }
    footer .menu-marcas [data-logo="inducol"]{
        height: 20px;
        width: 83px; }
    footer .menu-marcas [data-logo="king-koil"]{
        height: 20px;
        width: 85px; }

    form input{
        font-size: 16px;
        padding: 8px; }
    form select{
        font-size: 16px;
        padding: 8px; }
    form textarea{
        font-size: 16px;
        padding: 8px; }

    h1{ font-size: 1.35rem; }
    h2{ font-size: 1.3rem; }
    h3{ font-size: 1.25rem; }
    h4{ font-size: 1.2rem; }
    
    header .link-logo h1{
        height: 42px;
        width: 250px; }
    header .menu-usuario{
        margin-top: 20px;
        position: relative;
        right: 0;
        text-align: center;
        top: 0;
        transform: none; }

    #caixa-avisos{
        bottom: auto;
        left: 10px;
        top: 10px;
        width: calc(100% - 20px); }

    .abas-titulo .titulo-aba{ padding: 5px 10px; }
    .abas-titulo .titulo-aba h6{ font-size: .9rem; }

    .bt-carrinho-abrir{
        background-color: #FFF;
        background-position: 50% 50%;
        border-radius: 25px;
        bottom: 20px;
        min-height: 30px;
        padding: 25px;
        position: fixed;
        right: 20px;
        top: auto;
        transform: none;
        z-index: 400; }
    .bt-carrinho-abrir span{ display: none; }
    .bt-carrinho-abrir strong{
        right: -5px;
        top: -5px; }

    .carrinho-content{ height: calc(100% - 290px); }
    .carrinho-footer{ height: 220px; }

    .cliente-info .line > .unit{ width: 100% !important; }
    .cliente-info .line > .unitExt{ width: 100% !important; }

    .content{ padding: 20px 0; }

    .form-box{ max-width: 100%; }

    .link-bt-100-mobile{
        text-align: center;
        width: 100%; }

    .lista-itens{
        gap: 10px;
        grid-template-columns: repeat(auto-fill, minmax(calc(50% - 10px), 1fr)); }
    .lista-itens li .bt-adicionar-carrinho{
        font-size: .8rem;
        padding: 8px 6px; }

    .margin{
        margin: 0 10px;
        width: calc(100% - 20px); }

    .pedido-total hr + .line .unit,
    .pedido-total hr + .line .unitExt{
        padding-right: 0 !important;
        width: 100% !important; }

    .scroll-tabelas{ overflow-x: scroll; }

    .site-entrar > .content > .line > .unit{ display: none; }
    .site-entrar > .content > .line > .unitExt{ width: 100% !important; }

    .site-inicial > .content > .line > .unit{ display: none; }
    .site-inicial > .content > .line > .unitExt{ width: 100% !important; }

    .site-cadastro-cliente form > .line > .unit{ width: 100% !important; }
    .site-cadastro-cliente form > .line > .unitExt{ width: 100% !important; }
    .site-cadastro-cliente form > .line > .unitExt > .form-box{ padding-top: 5px; }
    .site-cadastro-cliente form button{
        bottom: 10px;
        left: 10px;
        position: fixed;
        right: 10px;
        width: calc(100% - 20px); }

    .tabela-pedidos{
        min-width: 100%;
        width: max-content; }
        
    .tabela-pontos-venda{
        min-width: 100%;
        width: max-content; }

    .title-main{
        padding-left: 10px;
        padding-right: 10px; }
    .title-main .link-add{
        display: block;
        left: auto;
        margin-top: 10px;
        position: relative;
        top: auto;
        transform: none; }
    .title-main .link-voltar{
        display: inline-block;
        left: auto;
        margin-top: 10px;
        position: relative;
        top: auto;
        transform: none; }

}

@media screen and (max-width: 768px) {

    form label{ margin: 0; }

    .lista-itens li{ min-width: 150px; }
    .lista-itens li img{ height: 130px; }
    .lista-itens li .item-pendencia + .pendencia{ padding: 0 5px; }
    .lista-itens li .line .unit{
        padding-right: 0 !important;
        width: 100% !important; }
    .lista-itens li .line .unitExt{
        margin-top: 10px;
        width: 100% !important; }

}